routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();


Route::get('/', function () {
    // return view('welcome');
    return redirect('/login');
    // return config('app.ref_db');
});

Route::get('change_password', 'Auth\ChangePasswordController@showChangePasswordForm')->name('auth.change_password');
Route::patch('change_password', 'Auth\ChangePasswordController@changePassword')->name('auth.change_password');


Route::middleware(['auth'])->group(function () {
    //
    Route::get('/home', 'HomeController@index')->name('home');

    Route::resource('role', 'RoleController');
    Route::get('role/{role}/hapus', 'RoleController@destroy')->name('role.hapus');
    Route::resource('permission', 'PermissionController');
    Route::get('permission/{role}/hapus', 'PermissionController@destroy')->name('permission.hapus');
    Route::resource('account', 'PenggunaController')->only(['index', 'edit', 'update']);

    Route::resource('pegawai', 'PegawaiController')->except(['destroy']);
    Route::get('pegawai/{role}/hapus', 'PegawaiController@destroy')->name('pegawai.hapus');
    Route::get('apbdes', 'AnggaranController@index')->name('apbdes');
    Route::get('bop', 'AnggaranController@ProyeksiBop')->name('bop');
    Route::get('bop/pdf', 'AnggaranController@ProyeksiBopPdf')->name('bop.pdf');
    Route::get('belanjafisik', 'AnggaranController@belanjaFisik')->name('belanjafisik');
    Route::get('belanjafisik/pdf', 'AnggaranController@belanjaFisikpdf')->name('belanjafisik.pdf');
    Route::get('panjardd', 'AnggaranController@panjarFisikDanaDesa')->name('panjardd');
    Route::get('panjardd/pdf', 'AnggaranController@panjarFisikDanaDesaPdf')->name('panjardd.pdf');
    Route::get('pajak', 'AnggaranController@SektorPajak')->name('pajak');
    Route::get('pajak/pdf', 'AnggaranController@SektorPajakPdf')->name('pajak.pdf');

    Route::resource('pembinaan', 'PembinaanController')->except(['destroy']);
    Route::get('pembinaan/{pembinaan}/hapus', 'PembinaanController@destroy')->name('pembinaan.hapus');
    Route::post('pembinaan/upload', 'PembinaanController@uploadData')->name('pembinaan.upload');


    Route::resource('pembinaanevaluasi', 'pembinaanevaluasiController')->except(['destroy']);
    Route::get('pembinaanevaluasi/{pembinaanevaluasi}/hapus', 'pembinaanevaluasiController@destroy')->name('pembinaanevaluasi.hapus');
    Route::post('pembinaanevaluasi/upload', 'pembinaanevaluasiController@uploadData')->name('pembinaanevaluasi.upload');

    Route::resource('pengawasan', 'PengawasanController')->except(['destroy']);
    Route::get('pengawasan/{pengawasan}/hapus', 'PengawasanController@destroy')->name('pengawasan.hapus');
    Route::post('pengawasan/upload', 'PengawasanController@uploadData')->name('pengawasan.upload');


    Route::resource('pengaduan', 'PengaduanController')->except(['destroy']);
    Route::get('pengaduan/{pengaduan}/hapus', 'PengaduanController@destroy')->name('pengaduan.hapus');
    Route::post('pengaduan/upload', 'PengaduanController@uploadData')->name('pengaduan.upload');

    Route::resource('perintah', 'PerintahPengawasanController')->except(['destroy']);
    Route::get('perintah/{perintah}/hapus', 'PerintahPengawasanController@destroy')->name('perintah.hapus');
    Route::get('perintah/selesai/{perintah}', 'PerintahPengawasanController@selesaiCtrl')->name('perintah.selesai');
    Route::get('resiko', 'FaktorResikoController@index')->name('resiko');
    Route::get('resiko/refresh', 'FaktorResikoController@refreshData')->name('resiko.refresh');
    Route::get('resiko/pdf', 'FaktorResikoController@indexPdf')->name('resiko.pdf');

    Route::get('kecamatan', 'WilayahController@kecamatan')->name('kecamatan');
    Route::get('desa', 'WilayahController@desa')->name('desa');

    Route::get('keuangan', 'KeuanganController@index')->name('keuangan');
});

resources/views/perintah/form.blade.php
@extends('layouts.admin')
@section('title')
<h2>FORM PERINTAH PEMERIKSAAN DESA</h2>
@endsection
@section('content')

<div class="row clearfix">
    <div class="col-md-6">
        <div class="card">
            <div class="body">
                <form action="{{ $data['action'] }}" id="form_validation" method="POST">
                    {{ csrf_field() }}
                    {{ method_field($data['method']) }}
                    <div class="form-group form-float">
                        <div class="form-line {{  $errors->has('tahun')?'error':'' }}">
                            <input readonly type="text" name="tahun" id="tahun" class="form-control" required value="{{ $data['res']->tahun??date('Y') }}">
                            <label class="form-label">Tahun</label>
                        </div>
                        <label class="error">{{ $errors->first('tahun') }}</label>
                    </div>
                    <div class="form-group form-float">
                        <div class="form-line {{  $errors->has('kd_desa')?'error':'' }}">

                            <select name="kd_desa" id="kd_desa" class="form-control show-tick" data-live-search="true" required>
                                <option value="">Desa</option>
                                @php
                                $selected=old('kd_desa');
                                if(isset($data['res']->kd_desa)){
                                $selected=$data['res']->kd_desa;
                                }
                                @endphp
                                @foreach($data['desa'] as $desa)
                                <option @if($selected==$desa->Kd_Desa) selected @endif value="{{ $desa->Kd_Desa }}">{{ $desa->Nama_Desa }}, {{ $desa->kecamatan->Nama_Kecamatan }}</option>
                                @endforeach
                            </select>
                        </div>
                        <label class="error">{{ $errors->first('kd_desa') }}</label>
                    </div>
                    <div class="form-group form-float">
                        <div class="form-line {{  $errors->has('keterangan_permintaan')?'error':'' }}">
                            <textarea class="form-control" required name="keterangan_permintaan" id="keterangan_permintaan" rows="2">{{ $data['res']->keterangan_permintaan??old('keterangan_permintaan') }}</textarea>
                            <label class="form-label">Perintah Pemerikasaan</label>
                        </div>
                        <label class="error">{{ $errors->first('keterangan_permintaan') }}</label>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-success" type="submit"><i class="material-icons">save</i> Simpan</button>
                        <a href="{{ url('perintah') }}" class="btn btn-warning"><i class="material-icons">flip_to_back</i> Kembali</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


@endsection
@section('css')
<link href="{{ asset('bsb/plugins/bootstrap-select/css/bootstrap-select.css') }}" rel="stylesheet" />
@endsection
@section('script')
<!-- Select Plugin Js -->
<script src="{{ asset('bsb/plugins/bootstrap-select/js/bootstrap-select.js') }}"></script>
<script src="{{ asset('bsb/plugins/jquery-validation/jquery.validate.js')}}"></script>
<script>
    $(document).ready(function() {
        $('#form_validation').validate({
            rules: {
                'checkbox': {
                    required: true
                },
                'gender': {
                    required: true
                }
            },
            highlight: function(input) {
                $(input).parents('.form-line').addClass('error');
            },
            unhighlight: function(input) {
                $(input).parents('.form-line').removeClass('error');
            },
            errorPlacement: function(error, element) {
                $(element).parents('.form-group').append(error);
            }
        });
    });
</script>
@endsection

resources/views/perintah/index.blade.php
@extends('layouts.admin')
@section('title')
<h2>PERINTAH PEMERIKSAAN DESA
    <div class="pull-right">
        <a href="{{ route('perintah.create')}}" class="btn btn-xs btn-primary"><i class="material-icons">note_add</i> Tambah</a>
    </div>
</h2>


@endsection
@section('content')
<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="body">
                <div class="table-responsive">
                    <table class="table table-striped" id="table">
                        <thead class="bg-success text-white ">
                            <tr>
                                <th>No</th>
                                <th>Desa</th>
                                <th>Keterangan</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@section('script')
<script>
    $(document).ready(function() {
        $.fn.dataTableExt.oApi.fnPagingInfo = function(oSettings) {
            return {
                "iStart": oSettings._iDisplayStart,
                "iEnd": oSettings.fnDisplayEnd(),
                "iLength": oSettings._iDisplayLength,
                "iTotal": oSettings.fnRecordsTotal(),
                "iFilteredTotal": oSettings.fnRecordsDisplay(),
                "iPage": Math.ceil(oSettings._iDisplayStart / oSettings._iDisplayLength),
                "iTotalPages": Math.ceil(oSettings.fnRecordsDisplay() / oSettings._iDisplayLength)
            };
        };
        var t = $('#table').DataTable({
            processing: true,
            ordering: false,
            serverSide: false,
            ajax: "{{ url('/perintah') }}",
            columns: [{
                    data: 'id',
                    name: 'id',
                    classname: 'text-center'
                }, {
                    data: 'desa',
                    name: 'desa',
                    render: function(data, type, row) {
                        var res = data;
                        if (row.kecamatan != null) {
                            res += '<br><code>' + row.kecamatan + '</code>';
                        }

                        return res;
                    }
                },
                {
                    data: 'keterangan_permintaan',
                    name: 'keterangan_permintaan',
                },
                {
                    data: 'action',
                    name: 'action',
                    className: 'text-right'
                },
            ],
            "rowCallback": function(row, data, iDisplayIndex) {
                var info = this.fnPagingInfo();
                var page = info.iPage;
                var length = info.iLength;
                var index = page * length + (iDisplayIndex + 1);
                $('td:eq(0)', row).html(index);
            }

        });

        $('#table').on('click', '.selesai', function(e) {
            e.preventDefault();
            Swal.fire({
                title: 'Apakah anda yakin?',
                text: $(this).data('desa')+" Sudah di lakukan pengawasan!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Ya, selesai!'
            }).then((result) => {
                if (result.value) {
                    document.location.href = $(this).data('url');
                }
            })

        });
    });
</script>
@endsection